package cn.reghao.tnb.user.app.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.user.app.model.po.UserProfile;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-14 14:59:15
 */
@Mapper
public interface UserProfileMapper extends BaseMapper<UserProfile> {
    void updateUserSignature(@Param("userId") long userId, @Param("signature") String signature);

    UserProfile findByUserId(long userId);
    int countAll();
    List<UserProfile> findAllById(@Param("pageSize") int pageSize, @Param("nextId") int nextId);
}
